Buscar e-mail
GET /v1/emails/{emailId}
Exemplo de requisição
curl -X GET "https://app.madmail.com.br/api/v1/emails/{emailId}" \
-H "Authorization: Bearer us_SUA_CHAVE"Parâmetros
| Nome | Local | Obrigatório | Tipo | Descrição |
|---|---|---|---|---|
emailId | path | Sim | string |
Respostas
200 — Recupera o e-mail
| Campo | Tipo | Descrição |
|---|---|---|
id | string | |
teamId | number | |
to | string | array<string> | |
replyTo | string | array<string> | |
cc | string | array<string> | |
bcc | string | array<string> | |
from | string | |
subject | string | |
html | string | null | |
text | string | null | |
createdAt | string | |
updatedAt | string | |
emailEvents | array<object> |
Exemplo de resposta
{
"id": "abc123",
"teamId": 1,
"to": "cliente@exemplo.com",
"from": "cliente@exemplo.com",
"subject": "Assunto do e-mail",
"html": "<p>Olá!</p>",
"text": "string",
"createdAt": "string",
"updatedAt": "string",
"emailEvents": [
{
"emailId": "abc123",
"status": "SCHEDULED",
"createdAt": "string"
}
]
}